Summary:	The WebRedirect plugin for SpamAssassin
Name:		perl-Mail-SpamAssassin-Plugin-WebRedirect
Version:	0
Release:	%mkrel 15
License:	Apache License
Group:		Development/Perl
URL:		https://people.apache.org/~dos/sa-plugins/3.1/
Source0:	https://people.apache.org/~dos/sa-plugins/3.1/WebRedirect.cf
Source1:	https://people.apache.org/~dos/sa-plugins/3.1/WebRedirect.pm
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  spamassassin-spamd >= 3.1.1
Requires:	spamassassin-spamd >= 3.1.1
BuildRequires:	perl-doc
BuildArch:	noarch


%description
Fetches web pages linked to in messages and provides their contents in a
pseudo-header that can be used in custom header rules.

An eval function is also provided to test a link's HTTP status code.

Limited decoding of data contained in pages is also attempted.  The decoded
data is provided in an additional pseudo-header that is made available to
custom header rules.

%prep

%setup -q -T -c -n %{name}-%{version}

cp %{SOURCE0} WebRedirect.cf
cp %{SOURCE1} WebRedirect.pm

# fix path
perl -pi -e "s|/etc/mail/spamassassin/WebRedirect\.pm|%{perl_vendorlib}/Mail/SpamAssassin/Plugin/WebRedirect\.pm|g" WebRedirect.cf

%build

perldoc WebRedirect.pm > Mail::SpamAssassin::Plugin::WebRedirect.3pm

%install
install -d %{buildroot}%{_sysconfdir}/mail/spamassassin/
install -d %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin
install -d %{buildroot}%{_mandir}/man3

install -m0644 WebRedirect.cf %{buildroot}%{_sysconfdir}/mail/spamassassin/
install -m0644 WebRedirect.pm %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin/
install -m0644 Mail::SpamAssassin::Plugin::WebRedirect.3pm %{buildroot}%{_mandir}/man3/

%post
if [ -f %{_var}/lock/subsys/spamd ]; then
    %{_initrddir}/spamd restart 1>&2;
fi
    
%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/spamd ]; then
        %{_initrddir}/spamd restart 1>&2
    fi
fi

%files
%defattr(644,root,root,755)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/mail/spamassassin/WebRedirect.cf
%{perl_vendorlib}/Mail/SpamAssassin/Plugin/WebRedirect.pm
%{_mandir}/man3/Mail::SpamAssassin::Plugin::WebRedirect.3pm*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0-15.mga9
+ Revision: 1804356
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0-14.mga8
+ Revision: 1495525
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0-13.mga7
+ Revision: 1269191
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0-12.mga6
+ Revision: 1029517
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0-11.mga6
+ Revision: 937449
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0-10.mga6
+ Revision: 937002
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-9.mga5
+ Revision: 746661
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-8.mga5
+ Revision: 685330
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0-7.mga4
+ Revision: 512738
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0-6.mga3
+ Revision: 369469
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0-5.mga1
+ Revision: 34951
- fix filename in %%doc
- imported package perl-Mail-SpamAssassin-Plugin-WebRedirect


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0-5mdv2010.0
+ Revision: 430496
- rebuild

* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0-4mdv2009.0
+ Revision: 239111
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0-3mdv2008.0
+ Revision: 46366
- misc fixes


* Sat Nov 25 2006 Emmanuel Andry <eandry@mandriva.org> 0-2mdv2007.0
+ Revision: 87293
- patch to fix perl module path
- Import perl-Mail-SpamAssassin-Plugin-WebRedirect

